IMPLOGD(8C)

NAME
implogd - IMP logger process

SYNOPSIS
/etc/implogd [ -d ]

DESCRIPTION
The implogd daemon logs error messages from a local IMP, placing them in the file /etc/adm/implog.

Entries in the file are variable in length. Each log entry has a fixed length header of the form:

struct sockstamp {
	short	sin_family;
	u_short	sin_port;
	struct	in_addr sin_addr;
	time_t	sin_time;
	int	sin_len;
};

followed, possibly, by the message received from the IMP. Each time the logging process is started up it places a time stamp entry in the file (a header with sin_len field set to 0).

The logging process will catch only those message from the IMP which are not processed by a protocol module, such as IP. This implies the log should contain only status information such as ``IMP going down'' other error messages, and, perhaps, stray NCP messages.

SEE ALSO
implog(8C)